from PyQt4 import QtCore
from minimock import Mock

class Param(object):
    pass

class Source(QtCore.QObject):
    mySignal = QtCore.pyqtSignal(Param)

    def emitSignal(self, obj):
        self.mySignal.emit(obj)

class Target(QtCore.QObject):
    def mySlot(self, obj):
        print obj

src1 = Source()
target1 = Target()
src1.mySignal.connect(target1.mySlot)

src1.emitSignal(Param())

# This does not help:
Source.mySignal = QtCore.pyqtSignal(Mock)
src2 = Source()
target2 = Target()
src2.mySignal.connect(target1.mySlot)
src2.emitSignal(Mock("Param"))

